## org.apache.taglibs.standard.tag.common.xml
Class ParamSupport

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.taglibs.standard.tag.common.xml.ParamSupport

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, JspTag, Tag

Direct Known Subclasses:
  ParamTag, ParamTag

    public abstract class ParamSupport

extends BodyTagSupport

Support for tag handlers for <param>, the XML parameter subtag for <transformt<.

Author:
  Shawn Bayern
See Also:
  `TransformSupport`, Serialized Form

Field Summary
`protected String` `name`
`protected Object` `value`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ParamSupport()`

Method Summary
`int` `doEndTag()` Default processing of the end tag returning EVAL_PAGE.
`void` `release()` Release state.

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, doStartTag, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### name

    protected String name

### value

    protected Object value

Constructor Detail

### ParamSupport

    public ParamSupport()

Method Detail

### doEndTag

    public int doEndTag()
                 throws JspException

  Description copied from class: `BodyTagSupport`
  Default processing of the end tag returning EVAL_PAGE.

  Specified by:
    `doEndTag` in interface `Tag`
  Overrides:
    `doEndTag` in class `BodyTagSupport`
  Returns:
    EVAL_PAGE
  Throws:
    `JspException` - if an error occurred while processing this tag
  See Also:
    `Tag.doEndTag()`

### release

    public void release()

  Description copied from class: `BodyTagSupport`
  Release state.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `BodyTagSupport`
  See Also:
    `Tag.release()`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.